﻿@model WebAppDoctorManagement.Models.CaptureDoctorProfileViewModel
@using (Ajax.BeginForm("AddDoctorProfile", "Doctor", new AjaxOptions { OnSuccess = "onAddDoctorProfileAdded", HttpMethod = "POST" }, new { id = "frmAddDoctorProfile" }))
{
    @Html.AntiForgeryToken()
    <h4>Capture Doctor Profile</h4>
    <hr />
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Title", htmlAttributes: new { @class = "control-label col-md-4" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.TitleId, new SelectList(Model.TitleList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.TitleId, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Discipline", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.CheckBoxFor(model => model.Discipline,  htmlAttributes: new { @class = "form-control" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("First Name", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.FirstName, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Surname", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.Surname, htmlAttributes: new {  @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Surname, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("IDNumber", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.IDNumber, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.IDNumber, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("HPCSANUMBER", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.TextBoxFor(model => model.HPCSANUMBER, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.HPCSANUMBER, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Province", htmlAttributes: new { @class = "control-label col-md-4" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.ProvinceId, new SelectList(Model.ProvinceList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.ProvinceId, "", new { @class = "text-danger" })
            </div>
            <div class="col-xs-12 col-sm-2 text-nowrap">
                @Html.Label("Region", htmlAttributes: new { @class = "control-label col-md-2" })
            </div>
            <div class="col-xs-12 col-sm-4">
                @Html.DropDownListFor(model => model.RegionId, new SelectList(Model.RegionList, "Id", "Description"), "--Please select--", new { @id = "cmbTitle", @class = "form-control" })
                @Html.ValidationMessageFor(model => model.RegionId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-4">
                    @Html.ActionLink("Back", "Index", "Home")
            </div>
            <div class="col-md-8">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}
<script>
    function onAddDoctorProfileAdded(args) {
        
        if (args.success)
        {
            alert("Saved Successfully");
            window.location.reload();
        }
    }
</script>
